VisualEditor: Deleting content between a heading and an alien fails?
Closed, ResolvedPublic

Description

In https://en.wikipedia.org/w/index.php?title=Lynn_Hill&oldid=528045441 (and other versions), go into VE, go to the bottom, delete the list item (and so the list) from the External links section.

ve.instances[0].documentModel.data confirms that the model has this removed - "/heading" object followed by the alienated table from the "{{Authority control}}" template - but on diff Parsoid thinks that there is no change in this area. Is this is a Parsoid, or is change marking broken (or both)?


Version: unspecified
Severity: normal

bzimport added a project: Parsoid-Serializer.Via ConduitNov 22 2014, 12:47 AM
bzimport set Reference to bz43135.
Jdforrester-WMF created this task.Via LegacyDec 14 2012, 6:47 PM
Catrope added a comment.Via ConduitDec 19 2012, 8:48 PM

This is probably a selser (Parsoid) issue. There is no change marking for removals, selser detects these based on DSR discontinuities.

Provisionally CCing Mark, once I get time to investigate this properly and figure out what's going on, I'll move/reassign this bug as appropriate.

MarkTraceur added a comment.Via ConduitDec 19 2012, 8:56 PM

I believe this ties in directly to what Gabriel is doing, so I'll add him and we can have a big bugzilla CCing party.

GWicke added a comment.Via ConduitJan 4 2013, 11:52 PM

Likely fixed by the DOM diffing functionality that landed in https://gerrit.wikimedia.org/r/#/c/41816/. Barring bugs, we now no longer depend on change markers for selective serialization to work.

GWicke added a comment.Via ConduitJan 4 2013, 11:52 PM

(Needs verification with VE)

GWicke added a comment.Via ConduitJan 25 2013, 7:45 PM

A few more selser fixes later this should now be fixed. Repeating the test case above certainly suggests it works, so please reopen if there still are issues.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.